---
title: "/calendars/{calendarId}"
url: "https://developers.rest.rodeo/apis/calendar/versions/9fa518e1-4597-4801-ad08-2c360cda2316/operations/deleteCalendar"
---

> Full API specification: https://developers.rest.rodeo/apis/calendar/versions/9fa518e1-4597-4801-ad08-2c360cda2316.md

# /calendars/{calendarId}

`DELETE` `/calendars/{calendarId}`

Operation ID: `deleteCalendar`

Deletes the calendar and all of its events.

## Path parameters

- `calendarId` (string, uuid, required) - The calendar id.

## Responses

- `204` - The calendar was deleted
- `401` - Missing or invalid bearer token
- `404` - No calendar with this id
- `405` - Method not allowed

## OpenAPI definition

```yaml
openapi: 3.0.3
info:
  title: Calendar API
  version: 1.0.0
servers:
  - url: https://api.rest.rodeo/calendar/api/v1
    description: Production
paths:
  /calendars/{calendarId}:
    delete:
      operationId: deleteCalendar
      summary: /calendars/{calendarId}
      description: Deletes the calendar and all of its events.
      parameters:
        - $ref: "#/components/parameters/CalendarId"
      responses:
        "204":
          description: The calendar was deleted
        "401":
          description: Missing or invalid bearer token
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
        "404":
          description: No calendar with this id
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
        "405":
          description: Method not allowed
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
security:
  - bearerAuth: []
components:
  parameters:
    CalendarId:
      name: calendarId
      in: path
      required: true
      schema:
        type: string
        format: uuid
      description: The calendar id.
  schemas:
    Error:
      type: object
      required:
        - error
      additionalProperties: false
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
```
